## Parity [v1.4.12](https://github.com/paritytech/parity/releases/tag/v1.4.12) (2017-02-22)

This stable release fixes an issue with block uncle validation. Parity now allows uncle headers to have timestamp set to arbitrary future value.

- Stable Backporting ([#4633](https://github.com/paritytech/parity/pull/4633)) [#4642](https://github.com/paritytech/parity/pull/4642)
  - Tweak some checks.
  - Fixed build and added a difficulty test
  - Bump to v1.4.12
- Add missing maxCodeSize [#4585](https://github.com/paritytech/parity/pull/4585)

## Parity [v1.4.11](https://github.com/paritytech/parity/releases/tag/v1.4.11) (2017-02-17)

This release corrects the Ropsten chain specification file.

- Bump to v1.4.11 [#4587](https://github.com/paritytech/parity/pull/4587)
- Fixing etherscan price parsing ([#4202](https://github.com/paritytech/parity/pull/4202)) [#4209](https://github.com/paritytech/parity/pull/4209)
 - Fixing etherscan price parsing
 - Handling all errors
- Removed pdbs
- Add missing maxCodeSize [#4585](https://github.com/paritytech/parity/pull/4585)

## Parity [v1.4.10](https://github.com/paritytech/parity/releases/tag/v1.4.10) (2017-01-18)

Parity 1.4.10 is a first stable release of 1.4.x series. It includes a few minor networking fixes.

- Gas_limit for blocks, mined by Parity will be divisible by 37 (#4154) [#4179](https://github.com/paritytech/parity/pull/4179)
  - gas_limit for new blocks will divide evenly by 13
  - increased PARITY_GAS_LIMIT_DETERMINANT to 37
  - separate method for marking mined block
  - debug_asserts(gas_limit within protocol range)
  - round_block_gas_limit method is now static
  - made round_block_gas_limit free-function
  - multiplier->multiple
- Backporing to 1.4.10-stable [#4110](https://github.com/paritytech/parity/pull/4110)
  - Bump to v1.4.10
  - No reorg limit for ancient blocks
  - Update registration after every write

## Parity [v1.4.9](https://github.com/paritytech/parity/releases/tag/v1.4.9) (2017-01-09)

This fixes an issue introduced in 1.4.8 that causes Parity to panic on propagating transactions in some cases.

- v1.4.9 in beta [#4097](https://github.com/paritytech/parity/pull/4097)
  - Bump to v1.4.9
  - Disable armv6 build
- beta Fix queue deadlock [#4095](https://github.com/paritytech/parity/pull/4095)
- Fix rebroadcast panic beta [#4085](https://github.com/paritytech/parity/pull/4085)
  - fix compile
  - fix backport
  - clean up old method
  - remove unnecessary reference
  - simplify
  - Fixing 'simplify'

## Parity [v1.4.8](https://github.com/paritytech/parity/releases/tag/v1.4.8) (2017-01-06)

Ethereum Classic Hard Fork ready release containing various bugfixes:

- Fix for excessive transactions propagation
- Fix for inconsistent `logIndex` in transaction receipts

See [full list of changes](https://github.com/paritytech/parity/compare/v1.4.7...v1.4.8):

- Beta backports [#4067](https://github.com/paritytech/parity/pull/4067)
- Re-broadcast transactions to few random peers on each new block. (#4054) [#4061](https://github.com/paritytech/parity/pull/4061)
- Tolerate errors in user_defaults [#4060](https://github.com/paritytech/parity/pull/4060)
- ETC Config change backport [#4056](https://github.com/paritytech/parity/pull/4056)
- [beta] Avoid re-broadcasting transactions on each block [#4047](https://github.com/paritytech/parity/pull/4047)
- Beta Backports [#4012](https://github.com/paritytech/parity/pull/4012)

## Parity [v1.4.7](https://github.com/paritytech/parity/releases/tag/v1.4.7) (2016-12-27)

This maintenance release fixes an issue with sync falling behind occasionally.

- Backporting to beta [#3980](https://github.com/paritytech/parity/pull/3980)
- [beta] enforce gas limit falls within engine bounds [#3816](https://github.com/paritytech/parity/pull/3816)


## Parity [v1.4.6](https://github.com/paritytech/parity/releases/tag/v1.4.6) (2016-12-05)

This patch release fixes an issue with syncing on the Ropsten test network.

- Backporting to beta [#3718](https://github.com/paritytech/parity/pull/3718)
- [beta] scrollable contract deploy & execute modals [#3656](https://github.com/paritytech/parity/pull/3656)

## Parity [v1.4.5](https://github.com/paritytech/parity/releases/tag/v1.4.5) (2016-11-26)

1.4.5 release fixes a number of issues, notably:
- High CPU usage when idle.
- Key recovery phrases generated on windows now can be imported.

#### Configuration changes
- `--usd-per-tx` is now set to 0.0025 by default.

#### New features
- Support for Ropsten test network is introduced with `--chain=ropsten` or `--testnet`. Morden network is still available via `--chain=morden`

#### Full changes
- [beta] Pin package versions for React [#3628](https://github.com/paritytech/parity/pull/3628)
- Backporting to beta [#3623](https://github.com/paritytech/parity/pull/3623)
- [beta] Ropsten chain for UI [#3622](https://github.com/paritytech/parity/pull/3622)

## Parity [v1.4.4](https://github.com/paritytech/parity/releases/tag/v1.4.4) (2016-11-18)

This is a maintenance release that fixes an issue with EIP-155 transactions being added to the transaction pool. It also improves syncing stability and resolved a number of UI issues.
Full changelog is available [here.](https://github.com/paritytech/parity/commit/3e0d033eaf789cfdf517f4a97effc500f1f9263b)

- [beta] apps typo fix [#3533](https://github.com/paritytech/parity/pull/3533)
- Backporting to beta [#3525](https://github.com/paritytech/parity/pull/3525)

## Parity [v1.4.3](https://github.com/paritytech/parity/releases/tag/v1.4.3) (2016-11-16)

This release includes memory footprint optimization as well as a few fixes in the UI.
EIP-155/160/161/170 hardfork is enabled at block 2675000 (1885000 for test network).
Full changelog is available [here.](https://github.com/paritytech/parity/compare/v1.4.2...v1.4.3)

- [beta] EIP-170 [#3464](https://github.com/paritytech/parity/pull/3464)
- Backports to beta [#3465](https://github.com/paritytech/parity/pull/3465)
- Backport: additional fields on transaction and receipt [#3463](https://github.com/paritytech/parity/pull/3463)
- v1.4.3 in beta [#3424](https://github.com/paritytech/parity/pull/3424)

## Parity [v1.4.2](https://github.com/paritytech/parity/releases/tag/v1.4.2) (2016-11-10)

This release fixes a few additional issues:
- Parity now correctly handles external `--dapps-interface` and  `--ui-interface` in the UI.
- Crash in `eth_getUncle*` has been fixed.
- macOS installer now includes an uninstall script.
- Security token input UI has been fixed.
- Correct display for tokens with minimum decimals.

And some additional minor changes. Full changelog is [available](https://github.com/paritytech/parity/compare/v1.4.1...v1.4.2)
- Backporting to beta [#3344](https://github.com/paritytech/parity/pull/3344)
- Backporting to beta [#3324](https://github.com/paritytech/parity/pull/3324)

## Parity [v1.4.1](https://github.com/paritytech/parity/releases/tag/v1.4.1) (2016-11-09)

This is a hotfix release to address a couple of issues with 1.4.0:

- UI token is requested instead of being supplied automatically.
- Running with `--geth` results in an error.

- Backporting to beta [#3293](https://github.com/paritytech/parity/pull/3293)

## Parity [v1.4.0](https://github.com/paritytech/parity/releases/tag/v1.4.0) (2016-11-07)

First beta release of the 1.4 series.

This includes the new Parity Wallet and Warp-Sync synchronisation as well as several optimisations and fixes.

- Add secure flag back [#3246](https://github.com/paritytech/parity/pull/3246)
- [BETA] verify chunk hashes in cli restore [#3242](https://github.com/paritytech/parity/pull/3242)
- Backporting to beta [#3239](https://github.com/paritytech/parity/pull/3239)
- UI fixes backporting [#3234](https://github.com/paritytech/parity/pull/3234)
- Backporting to beta [#3229](https://github.com/paritytech/parity/pull/3229)
- Beta branch cleanup [#3226](https://github.com/paritytech/parity/pull/3226)
- [beta] Set passive mode for first run only (#3214) [#3216](https://github.com/paritytech/parity/pull/3216)
- Mode configuration backported to beta [#3213](https://github.com/paritytech/parity/pull/3213)
- Backporting [#3198](https://github.com/paritytech/parity/pull/3198)
- [beta] EIP-155 update with Vitalik's new test vectors (#3166) [#3189](https://github.com/paritytech/parity/pull/3189)
- Backporting to beta [#3176](https://github.com/paritytech/parity/pull/3176)
- parity-ui-precompiled pinned to beta [#3168](https://github.com/paritytech/parity/pull/3168)
- EIP-155 update with Vitalik's new test vectors [#3166](https://github.com/paritytech/parity/pull/3166)
- Push precompiled for beta/stable, npm only master [#3163](https://github.com/paritytech/parity/pull/3163)
- Back to real root after npm publish [#3178](https://github.com/paritytech/parity/pull/3178)
- Remove extra cd js [#3177](https://github.com/paritytech/parity/pull/3177)
- Fixes Gas price selection bug [#3175](https://github.com/paritytech/parity/pull/3175)
- Exposing state root and logsBloom in RPC receipts [#3174](https://github.com/paritytech/parity/pull/3174)
- Exposing v,r,s from transaction signature in RPC [#3172](https://github.com/paritytech/parity/pull/3172)
- Enabling personal RPC over IPC by default [#3165](https://github.com/paritytech/parity/pull/3165)
- Gitlab CI badge [#3164](https://github.com/paritytech/parity/pull/3164)
- Dependencies in README [#3162](https://github.com/paritytech/parity/pull/3162)
- Make the footer a bit less ugly. [#3160](https://github.com/paritytech/parity/pull/3160)
- Linux build case sensitivity fix [#3161](https://github.com/paritytech/parity/pull/3161)
- abbreviated enode, `CopyToClipboard` component [#3131](https://github.com/paritytech/parity/pull/3131)
- EIPs 155, 160, 161 [#2976](https://github.com/paritytech/parity/pull/2976)
- beta reset to 1.4.0 [#3157](https://github.com/paritytech/parity/pull/3157)
- Fix histogram [#3150](https://github.com/paritytech/parity/pull/3150)
- Remove network label from TabBar [#3142](https://github.com/paritytech/parity/pull/3142)
- Speed up unresponsive Contract events & Account transactions [#3145](https://github.com/paritytech/parity/pull/3145)
- Better windows shortcut [#3147](https://github.com/paritytech/parity/pull/3147)
- Redirect content to the same address as requested [#3133](https://github.com/paritytech/parity/pull/3133)
- Fixed peer ping timeout [#3137](https://github.com/paritytech/parity/pull/3137)
- Fix for windows build [#3125](https://github.com/paritytech/parity/pull/3125)
- Fix AddessInput icon position [#3132](https://github.com/paritytech/parity/pull/3132)
- Fixed not scrollable accounts in tokenreg dapp [#3128](https://github.com/paritytech/parity/pull/3128)
- Returning cache headers for network content [#3123](https://github.com/paritytech/parity/pull/3123)
- Optimise contract events display [#3120](https://github.com/paritytech/parity/pull/3120)
- Add basic validation for contract execute values [#3118](https://github.com/paritytech/parity/pull/3118)
- Dapps errors embeddable on signer [#3115](https://github.com/paritytech/parity/pull/3115)
- Use enode RPC in UI [#3108](https://github.com/paritytech/parity/pull/3108)
- Windows tray app [#3103](https://github.com/paritytech/parity/pull/3103)
- Displaying CLI errors on stderr [#3116](https://github.com/paritytech/parity/pull/3116)
- new InputAddressSelect component [#3071](https://github.com/paritytech/parity/pull/3071)
- Bump mio [#3117](https://github.com/paritytech/parity/pull/3117)
- Minor typo fixed. [#3110](https://github.com/paritytech/parity/pull/3110)
- Sort by ETH balance and contract by date [#3107](https://github.com/paritytech/parity/pull/3107)
- Add RPC enode lookup [#3096](https://github.com/paritytech/parity/pull/3096)
- Initializing logger for each command [#3090](https://github.com/paritytech/parity/pull/3090)
- Allow registration of content bundles in GitHubHint [#3094](https://github.com/paritytech/parity/pull/3094)
- Add read-only inputs to UI plus Copy to Clipboard buttons [#3095](https://github.com/paritytech/parity/pull/3095)
- Allow boolean dropdowns for contract deploy [#3077](https://github.com/paritytech/parity/pull/3077)
- Add mac installer files [#2995](https://github.com/paritytech/parity/pull/2995)
- Fixing dapps sorting [#3086](https://github.com/paritytech/parity/pull/3086)
- Add a Gitter chat badge to README.md [#3092](https://github.com/paritytech/parity/pull/3092)
- Fixes webpack HTML loader [#3089](https://github.com/paritytech/parity/pull/3089)
- Redirecting /home to new UI [#3084](https://github.com/paritytech/parity/pull/3084)
- Allow GitHubHint content owner to update url [#3083](https://github.com/paritytech/parity/pull/3083)
- Remove token assets (moved to ethcore/dapps-assets) [#3082](https://github.com/paritytech/parity/pull/3082)
- Goodbye Gavcoin, Hello Gavcoin [#3080](https://github.com/paritytech/parity/pull/3080)
- Load network dapps [#3078](https://github.com/paritytech/parity/pull/3078)
- Swap account phrase input to normal (non-multiline) [#3060](https://github.com/paritytech/parity/pull/3060)
- Fix minor typo in informant [#3056](https://github.com/paritytech/parity/pull/3056)
- Warp sync status display [#3045](https://github.com/paritytech/parity/pull/3045)
- Enhance address input [#3065](https://github.com/paritytech/parity/pull/3065)
- Go to Accounts Page if Tooltips are displayed [#3063](https://github.com/paritytech/parity/pull/3063)
- Change contract Execute bool values & query bool value display [#3024](https://github.com/paritytech/parity/pull/3024)
- Update Parity logo [#3036](https://github.com/paritytech/parity/pull/3036)
- settings: replace background patterns (inline) [#3047](https://github.com/paritytech/parity/pull/3047)
- Multiple line description for dapps [#3058](https://github.com/paritytech/parity/pull/3058)
- Fix status log order [#3062](https://github.com/paritytech/parity/pull/3062)
- Graphical gas price selection [#2898](https://github.com/paritytech/parity/pull/2898)
- [Registry dApp] Actions not available before selecting accounts [#3032](https://github.com/paritytech/parity/pull/3032)
- apply post-consolidation migrations after consolidating [#3020](https://github.com/paritytech/parity/pull/3020)
- fix chain badge padding [#3046](https://github.com/paritytech/parity/pull/3046)
- Don't delete Tags input on blur (eg. tab) [#3044](https://github.com/paritytech/parity/pull/3044)
- Fixing last hashes for ethcall [#3043](https://github.com/paritytech/parity/pull/3043)
- Remove signer icons [#3039](https://github.com/paritytech/parity/pull/3039)
- execute periodic snapshot in new thread [#3029](https://github.com/paritytech/parity/pull/3029)
- fix background of embedded signer [#3026](https://github.com/paritytech/parity/pull/3026)
- registry dapp: fix reducer [#3028](https://github.com/paritytech/parity/pull/3028)
- Replace Execute by Query in contract button [#3031](https://github.com/paritytech/parity/pull/3031)
- Fixing GavCoin dApp overflow issues [#3030](https://github.com/paritytech/parity/pull/3030)
- execute contract function: validate address [#3013](https://github.com/paritytech/parity/pull/3013)
- Align tag inputs with other input boxes [#2965](https://github.com/paritytech/parity/pull/2965)
- Sweep panickers from IO and network [#3018](https://github.com/paritytech/parity/pull/3018)
- Terms & Conditions [#3019](https://github.com/paritytech/parity/pull/3019)
- open column families after reparing db corruption [#3017](https://github.com/paritytech/parity/pull/3017)
- Snapshot sync and block gap info in `eth_syncing` [#2948](https://github.com/paritytech/parity/pull/2948)
- personal_ RPCs to AutoArgs [#3000](https://github.com/paritytech/parity/pull/3000)
- RPCs for mode change [#3002](https://github.com/paritytech/parity/pull/3002)
- Fix a test sensitive to slow execution. [#3014](https://github.com/paritytech/parity/pull/3014)
- Fixes search filtering issues [#3011](https://github.com/paritytech/parity/pull/3011)
- Restart sync if no more peers with snapshots [#3007](https://github.com/paritytech/parity/pull/3007)
- Allow empty/non-existant input arrays for ABIs in contract view [#3001](https://github.com/paritytech/parity/pull/3001)
- Allow operation when no registry is available [#2980](https://github.com/paritytech/parity/pull/2980)
- Make JS lint & test run on Travis [#2894](https://github.com/paritytech/parity/pull/2894)
- Update account dropdowns [#2959](https://github.com/paritytech/parity/pull/2959)
- Modify gas price statistics [#2947](https://github.com/paritytech/parity/pull/2947)
- Fixes pending/mined transactions in registry dApp [#3004](https://github.com/paritytech/parity/pull/3004)
- Prevent connecting to self [#2997](https://github.com/paritytech/parity/pull/2997)
- Disable verbose in gitlab CI [#2999](https://github.com/paritytech/parity/pull/2999)
- Allow warnings in gitlab [#2998](https://github.com/paritytech/parity/pull/2998)
- Fix the brainwallet functionality. [#2994](https://github.com/paritytech/parity/pull/2994)
- Provided gas description update [#2993](https://github.com/paritytech/parity/pull/2993)
- Print messages to stderr [#2991](https://github.com/paritytech/parity/pull/2991)
- Networking and syncing tweaks [#2990](https://github.com/paritytech/parity/pull/2990)
- Allow build warnings [#2985](https://github.com/paritytech/parity/pull/2985)
- Display network status for finished Signer requests [#2983](https://github.com/paritytech/parity/pull/2983)
- Fixed rejecting transactions [#2984](https://github.com/paritytech/parity/pull/2984)
- mio version bump [#2982](https://github.com/paritytech/parity/pull/2982)
- Publish parity.js to npmjs registry [#2978](https://github.com/paritytech/parity/pull/2978)
- Import raw private key [#2945](https://github.com/paritytech/parity/pull/2945)
- refactor etherscan.io links [#2896](https://github.com/paritytech/parity/pull/2896)
- Use separate lock for code cache [#2977](https://github.com/paritytech/parity/pull/2977)
- Add favicon [#2974](https://github.com/paritytech/parity/pull/2974)
- Align password change dialog with create dialog ordering [#2970](https://github.com/paritytech/parity/pull/2970)
- WS bump [#2973](https://github.com/paritytech/parity/pull/2973)
- Discovery performance optimization [#2972](https://github.com/paritytech/parity/pull/2972)
- Pass gas & gasPrice to token transfers [#2964](https://github.com/paritytech/parity/pull/2964)
- Updating ws-rs [#2962](https://github.com/paritytech/parity/pull/2962)
- Run cargo with verbose flag when testing [#2943](https://github.com/paritytech/parity/pull/2943)
- Fixing clippy warnings take two [#2961](https://github.com/paritytech/parity/pull/2961)
- Snapshot sync improvements [#2960](https://github.com/paritytech/parity/pull/2960)
- Gavcoin event display updates [#2956](https://github.com/paritytech/parity/pull/2956)
- Eslint fixes [#2957](https://github.com/paritytech/parity/pull/2957)
- Add import of raw private key RPCs [#2942](https://github.com/paritytech/parity/pull/2942)
- Bring in styling queues from original Gavcoin [#2936](https://github.com/paritytech/parity/pull/2936)
- Validating minimal required gas for a transaction [#2937](https://github.com/paritytech/parity/pull/2937)
- Even more snapshot validity checks [#2935](https://github.com/paritytech/parity/pull/2935)
- Shared code cache [#2921](https://github.com/paritytech/parity/pull/2921)
- Updating bootnodes for ETC [#2938](https://github.com/paritytech/parity/pull/2938)
- More bootnodes [#2926](https://github.com/paritytech/parity/pull/2926)
- Revert hash updates until testable [#2925](https://github.com/paritytech/parity/pull/2925)
- Release.sh verbose output [#2924](https://github.com/paritytech/parity/pull/2924)
- additional release.sh debugging info [#2922](https://github.com/paritytech/parity/pull/2922)
- Pass the js-precompiled commit hash to cargo update [#2920](https://github.com/paritytech/parity/pull/2920)
- Next nonce RPC [#2917](https://github.com/paritytech/parity/pull/2917)
- Get rid of duplicated code in EVM [#2915](https://github.com/paritytech/parity/pull/2915)
- Transaction Queue banning [#2524](https://github.com/paritytech/parity/pull/2524)
- Revert to gas price ordering [#2919](https://github.com/paritytech/parity/pull/2919)
- Personal split [#2879](https://github.com/paritytech/parity/pull/2879)
- Fixing config values for pruning_history [#2918](https://github.com/paritytech/parity/pull/2918)
- Apply pending block details on commit [#2254](https://github.com/paritytech/parity/pull/2254)
- Fixed GetNodeData output [#2892](https://github.com/paritytech/parity/pull/2892)
- New sync protocol ID [#2912](https://github.com/paritytech/parity/pull/2912)
- Clippy bump [#2877](https://github.com/paritytech/parity/pull/2877)
- iconomi token images [#2906](https://github.com/paritytech/parity/pull/2906)
- Fixes too long description and Token balance value in Dapps/Accounts [#2902](https://github.com/paritytech/parity/pull/2902)
- Add missing images for local dapps [#2890](https://github.com/paritytech/parity/pull/2890)
- Fix Webpack, again [#2895](https://github.com/paritytech/parity/pull/2895)
- Enable suicide json test [#2893](https://github.com/paritytech/parity/pull/2893)
- More snapshot fixes and optimizations [#2883](https://github.com/paritytech/parity/pull/2883)
- Fixes CI JS precompiled build [#2886](https://github.com/paritytech/parity/pull/2886)
- Fix empty tags modification [#2884](https://github.com/paritytech/parity/pull/2884)
- Fix up informant. [#2865](https://github.com/paritytech/parity/pull/2865)
- Get rid of MemoryDB denote [#2881](https://github.com/paritytech/parity/pull/2881)
- Add inject to "bundle everything" list [#2871](https://github.com/paritytech/parity/pull/2871)
- Fixes signer and MUI errors throwing [#2876](https://github.com/paritytech/parity/pull/2876)
- Fix failing tests after log parsing updates [#2878](https://github.com/paritytech/parity/pull/2878)
- Sweep some more panics [#2848](https://github.com/paritytech/parity/pull/2848)
- Make GitLab js-precompiled really update Cargo.toml in main repo [#2869](https://github.com/paritytech/parity/pull/2869)
- IPC version bump [#2870](https://github.com/paritytech/parity/pull/2870)
- Snapshot sync fixes and optimizations [#2863](https://github.com/paritytech/parity/pull/2863)
- Add Check and Change Password for an Account [#2861](https://github.com/paritytech/parity/pull/2861)
- Output git fetch/push to log files [#2862](https://github.com/paritytech/parity/pull/2862)
- Align contract event log l&f with transactions [#2812](https://github.com/paritytech/parity/pull/2812)
- Nicer port in use errors [#2859](https://github.com/paritytech/parity/pull/2859)
- Remove personal_* calls from dapps [#2860](https://github.com/paritytech/parity/pull/2860)
- Token sorting, zero-ETH transfer & token decimals [#2805](https://github.com/paritytech/parity/pull/2805)
- Don't fail badly when no transactions in last 100 blocks. [#2856](https://github.com/paritytech/parity/pull/2856)
- Fixing home.parity address for new signer [#2851](https://github.com/paritytech/parity/pull/2851)
- Enabling UI build back [#2853](https://github.com/paritytech/parity/pull/2853)
- Remove eventName in unsubscribe API arguments [#2844](https://github.com/paritytech/parity/pull/2844)
- Don't return empty names as clickable titles [#2809](https://github.com/paritytech/parity/pull/2809)
- Auto-bump js-precompiled on release [#2828](https://github.com/paritytech/parity/pull/2828)
- Remove ethcore::common re-export module [#2792](https://github.com/paritytech/parity/pull/2792)
- Prevent database corruption on OOM [#2832](https://github.com/paritytech/parity/pull/2832)
- Download/Export Addressbook [#2847](https://github.com/paritytech/parity/pull/2847)
- Snapshot and blockchain stability improvements [#2843](https://github.com/paritytech/parity/pull/2843)
- Extended network options [#2845](https://github.com/paritytech/parity/pull/2845)
- fix failing master test build [#2846](https://github.com/paritytech/parity/pull/2846)
- Local dapps embeddable on signer port [#2815](https://github.com/paritytech/parity/pull/2815)
- Trigger accounts/contracts search on search input change [#2838](https://github.com/paritytech/parity/pull/2838)
- Move snapshot sync to a subprotocol [#2820](https://github.com/paritytech/parity/pull/2820)
- fix node log being reversed [#2839](https://github.com/paritytech/parity/pull/2839)
- Fixes currency symbol font size in Shapeshift modal [#2840](https://github.com/paritytech/parity/pull/2840)
- Disable personal APIs by default for security reasons [#2834](https://github.com/paritytech/parity/pull/2834)
- Clear cached content [#2833](https://github.com/paritytech/parity/pull/2833)
- Add ethcore_[dapps|signer]Port APIs [#2821](https://github.com/paritytech/parity/pull/2821)
- CLI option to skip seal check when importing [#2842](https://github.com/paritytech/parity/pull/2842)
- Fix case error in Dapps import [#2837](https://github.com/paritytech/parity/pull/2837)
- Double click on address in account detail view should select it [#2841](https://github.com/paritytech/parity/pull/2841)
- Bump js-precompiled to 20161022-223915 UTC [#2826](https://github.com/paritytech/parity/pull/2826)
- Adjust paths to handle CORS changes [#2816](https://github.com/paritytech/parity/pull/2816)
- RPC for dapps port and signer port [#2819](https://github.com/paritytech/parity/pull/2819)
- Update build to working version on pre-compiled repo [#2825](https://github.com/paritytech/parity/pull/2825)
- Adjust network name badge colours (darker) [#2823](https://github.com/paritytech/parity/pull/2823)
- Removing submodule in favour of rust crate [#2756](https://github.com/paritytech/parity/pull/2756)
- Return old-ish content even when syncing [#2757](https://github.com/paritytech/parity/pull/2757)
- fix Signer UI [#2750](https://github.com/paritytech/parity/pull/2750)
- USG, GBP, Euro & Yuan updates [#2818](https://github.com/paritytech/parity/pull/2818)
- Make locally installed apps available again (Fixes #2771) [#2808](https://github.com/paritytech/parity/pull/2808)
- Additional RPCs for password management [#2779](https://github.com/paritytech/parity/pull/2779)
- flush DB changes on drop [#2795](https://github.com/paritytech/parity/pull/2795)
- rename State::snapshot to checkpoint to avoid confusion [#2796](https://github.com/paritytech/parity/pull/2796)
- Missing changes required to make new UI work [#2793](https://github.com/paritytech/parity/pull/2793)
- Cleanup method decoding (Fixes #2811) [#2810](https://github.com/paritytech/parity/pull/2810)
- Use trace API for decentralized transaction list [#2784](https://github.com/paritytech/parity/pull/2784)
- Automatic compaction selection on Linux [#2785](https://github.com/paritytech/parity/pull/2785)
- Update token images [#2804](https://github.com/paritytech/parity/pull/2804)
- Hackergold token images [#2801](https://github.com/paritytech/parity/pull/2801)
- Additional token images [#2800](https://github.com/paritytech/parity/pull/2800)
- Additional token images [#2798](https://github.com/paritytech/parity/pull/2798)
- Resolve morden fork [#2773](https://github.com/paritytech/parity/pull/2773)
- Using SipHashes from crates.io [#2778](https://github.com/paritytech/parity/pull/2778)
- Fixed issues on Searchable Addresses [#2790](https://github.com/paritytech/parity/pull/2790)
- Currency icons [#2788](https://github.com/paritytech/parity/pull/2788)
- Update token images [#2783](https://github.com/paritytech/parity/pull/2783)
- Fix warning in master [#2775](https://github.com/paritytech/parity/pull/2775)
- Add empty account existence test from beta. [#2769](https://github.com/paritytech/parity/pull/2769)
- Update name of basiccoin manager [#2768](https://github.com/paritytech/parity/pull/2768)
- sweep most unwraps from ethcore crate, dapps crate [#2762](https://github.com/paritytech/parity/pull/2762)
- Check queue to determine major importing [#2763](https://github.com/paritytech/parity/pull/2763)
- Trace filtering fix [#2760](https://github.com/paritytech/parity/pull/2760)
- Update js precompiled to 20161020-141636 [#2761](https://github.com/paritytech/parity/pull/2761)
- Incrementally calculate verification queue heap size [#2749](https://github.com/paritytech/parity/pull/2749)
- Don't add empty accounts to bloom [#2753](https://github.com/paritytech/parity/pull/2753)
- fix contract deployments not showing up [#2759](https://github.com/paritytech/parity/pull/2759)
- Fixes a positioning issue in Address Selection component [#2754](https://github.com/paritytech/parity/pull/2754)
- fix linting issues [#2758](https://github.com/paritytech/parity/pull/2758)
- Making Trie.iter non-recursive [#2733](https://github.com/paritytech/parity/pull/2733)
- Block import optimization [#2748](https://github.com/paritytech/parity/pull/2748)
- Update js-precompiled to 20161020-110858 [#2752](https://github.com/paritytech/parity/pull/2752)
- Fixing small files fetching [#2742](https://github.com/paritytech/parity/pull/2742)
- Fixing stalled sync [#2747](https://github.com/paritytech/parity/pull/2747)
- refactor signer components [#2691](https://github.com/paritytech/parity/pull/2691)
- Png images with backgrounds (original svg) [#2740](https://github.com/paritytech/parity/pull/2740)
- Make address selection searchable [#2739](https://github.com/paritytech/parity/pull/2739)
- very basic dapp add/remove interface [#2721](https://github.com/paritytech/parity/pull/2721)
- Frontport commits from beta to master [#2743](https://github.com/paritytech/parity/pull/2743)
- Implements Trace API Formatter [#2732](https://github.com/paritytech/parity/pull/2732)
- bump parking_lot to 0.3.x series [#2702](https://github.com/paritytech/parity/pull/2702)
- Unify major syncing detection [#2699](https://github.com/paritytech/parity/pull/2699)
- Fixes gas/gasPrice change not reflected in transaction modal [#2735](https://github.com/paritytech/parity/pull/2735)
- Fixing build UI stuff along with Rust [#2726](https://github.com/paritytech/parity/pull/2726)
- Fixed Snackbar not showing and/or behind transactions (#2730) [#2731](https://github.com/paritytech/parity/pull/2731)
- Updating json tests to latest develop commit [#2728](https://github.com/paritytech/parity/pull/2728)
- dapps: show errors [#2727](https://github.com/paritytech/parity/pull/2727)
- node logs: break lines [#2722](https://github.com/paritytech/parity/pull/2722)
- Bumping JSON-RPC http server [#2714](https://github.com/paritytech/parity/pull/2714)
- Add ability to copy address to the clipboard [#2716](https://github.com/paritytech/parity/pull/2716)
- Sort tags when displaying ; use AND for search results [#2720](https://github.com/paritytech/parity/pull/2720)
- allow-same-origin for iframe [#2711](https://github.com/paritytech/parity/pull/2711)
- Update Registry address (mainnet) [#2713](https://github.com/paritytech/parity/pull/2713)
- Allow tags for Accounts, Addresses and Contracts [#2712](https://github.com/paritytech/parity/pull/2712)
- Correct parameters for eth_sign [#2703](https://github.com/paritytech/parity/pull/2703)
- Bump js-precompiled to 20161018-161705 [#2698](https://github.com/paritytech/parity/pull/2698)
- Add inject.js (for web3 exposed) [#2692](https://github.com/paritytech/parity/pull/2692)
- Remove obsolete dapps and update security headers [#2694](https://github.com/paritytech/parity/pull/2694)
- Snapshot sync part 2 [#2098](https://github.com/paritytech/parity/pull/2098)
- Fix issues with no ethereum test dir present (2382) [#2659](https://github.com/paritytech/parity/pull/2659)
- Apply UI PRs after master merge [#2690](https://github.com/paritytech/parity/pull/2690)
- Fix importing traces for non-canon blocks [#2683](https://github.com/paritytech/parity/pull/2683)
- Fixing random test failures [#2577](https://github.com/paritytech/parity/pull/2577)
- Disable IPC in default build for 1.4 [#2657](https://github.com/paritytech/parity/pull/2657)
- use pruning history in CLI snapshots [#2658](https://github.com/paritytech/parity/pull/2658)
- Fixing --no-default-features again and evmbin [#2670](https://github.com/paritytech/parity/pull/2670)
- Settings > Proxy for proxy.pac setup instructions [#2678](https://github.com/paritytech/parity/pull/2678)
- Re-instate transaitions to allow updating busy indicator [#2682](https://github.com/paritytech/parity/pull/2682)
- signer: remove reject counter [#2685](https://github.com/paritytech/parity/pull/2685)
- Initial new UI source code import [#2607](https://github.com/paritytech/parity/pull/2607)
- Additional dapp logo images [#2677](https://github.com/paritytech/parity/pull/2677)
- Redirect from :8080 to :8180 [#2676](https://github.com/paritytech/parity/pull/2676)
- script to update js-precompiled [#2673](https://github.com/paritytech/parity/pull/2673)
- Styling in FF is not 100% [#2669](https://github.com/paritytech/parity/pull/2669)
- Don't allow gavcoin transfer with no balances [#2667](https://github.com/paritytech/parity/pull/2667)
- fix signer rejections [#2666](https://github.com/paritytech/parity/pull/2666)
- better text on unique background pattern [#2664](https://github.com/paritytech/parity/pull/2664)
- Adjust z-index for error overlay [#2662](https://github.com/paritytech/parity/pull/2662)
- Fix address selection for contract deployment [#2660](https://github.com/paritytech/parity/pull/2660)
- Add additional contract images [#2655](https://github.com/paritytech/parity/pull/2655)
- Update /api/* to point to :8080/api/* (first generation interface) [#2612](https://github.com/paritytech/parity/pull/2612)
- Initial import of new UI (compiled JS code) [#2220](https://github.com/paritytech/parity/pull/2220)
- Fixing evmbin compilation [#2652](https://github.com/paritytech/parity/pull/2652)
- Fix up ETC EIP-150 transition to 2,500,000. [#2636](https://github.com/paritytech/parity/pull/2636)
- Fixing compilation without default features [#2638](https://github.com/paritytech/parity/pull/2638)
- [frontport] CLI to specify queue ordering strategy (#2494) [#2623](https://github.com/paritytech/parity/pull/2623)
- Support for decryption in Signer [#2421](https://github.com/paritytech/parity/pull/2421)
- EIP150.1c [#2591](https://github.com/paritytech/parity/pull/2591)
- Release merge with origin with ours strategy [#2631](https://github.com/paritytech/parity/pull/2631)
- Adjust build output directories [#2630](https://github.com/paritytech/parity/pull/2630)
- cater for txhash returning null/empty object [#2629](https://github.com/paritytech/parity/pull/2629)
- snapshot: single byte for empty accounts [#2625](https://github.com/paritytech/parity/pull/2625)
- Configurable history size in master [#2606](https://github.com/paritytech/parity/pull/2606)
- Database performance tweaks [#2619](https://github.com/paritytech/parity/pull/2619)
- Enable suicide json test [#2626](https://github.com/paritytech/parity/pull/2626)
- Split journaldb commit into two functions: journal_under and mark_canonical [#2329](https://github.com/paritytech/parity/pull/2329)
- Fixed tx queue limit for local transactions [#2616](https://github.com/paritytech/parity/pull/2616)
- Additional logs when transactions is removed from queue [#2617](https://github.com/paritytech/parity/pull/2617)
- mitigate refcell conflict in state diffing [#2601](https://github.com/paritytech/parity/pull/2601)
- Fix tests [#2611](https://github.com/paritytech/parity/pull/2611)
- small styling updates [#2610](https://github.com/paritytech/parity/pull/2610)
- Remove web3 from Signer, bring in parity.js API [#2604](https://github.com/paritytech/parity/pull/2604)
- Mostly configurable canonical cache size [#2516](https://github.com/paritytech/parity/pull/2516)
- Added peers details to ethcore_netPeers RPC [#2580](https://github.com/paritytech/parity/pull/2580)
- Display account password hint when available [#2596](https://github.com/paritytech/parity/pull/2596)
- Fix gas estimation on transfer when data supplied [#2593](https://github.com/paritytech/parity/pull/2593)
- remove unused npm packages [#2590](https://github.com/paritytech/parity/pull/2590)
- Bundle fonts as part of the build process [#2588](https://github.com/paritytech/parity/pull/2588)
- Contract constructor params [#2586](https://github.com/paritytech/parity/pull/2586)
- Update json test suite [#2574](https://github.com/paritytech/parity/pull/2574)
- Filter apps that has been replaced for the local list [#2583](https://github.com/paritytech/parity/pull/2583)
- Display local apps listed by Parity [#2581](https://github.com/paritytech/parity/pull/2581)
- Network-specific nodes file [#2569](https://github.com/paritytech/parity/pull/2569)
- Dont close when block is known to be invalid [#2572](https://github.com/paritytech/parity/pull/2572)
- deny compiler warnings in CI [#2570](https://github.com/paritytech/parity/pull/2570)
- adjust alignment of queries [#2573](https://github.com/paritytech/parity/pull/2573)
- update ethcore-bigint crate to 0.1.1 [#2562](https://github.com/paritytech/parity/pull/2562)
- Registry dapp uses setAddress to actually set addresses now [#2568](https://github.com/paritytech/parity/pull/2568)
- Add the new EIP150 test. [#2563](https://github.com/paritytech/parity/pull/2563)
- fix failing tests [#2567](https://github.com/paritytech/parity/pull/2567)
- ΞTH -> ETH [#2566](https://github.com/paritytech/parity/pull/2566)
- Ensure polling is only done when connected [#2565](https://github.com/paritytech/parity/pull/2565)
- Fixed race condition in trace import [#2555](https://github.com/paritytech/parity/pull/2555)
- Disable misbehaving peers while seeking for best block [#2537](https://github.com/paritytech/parity/pull/2537)
- TX queue gas limit config and allow local transactions over the gas limit [#2553](https://github.com/paritytech/parity/pull/2553)
- standard component for address -> name mappings (consistent use everywhere) [#2557](https://github.com/paritytech/parity/pull/2557)
- Remove unwrap from client module [#2554](https://github.com/paritytech/parity/pull/2554)
- Removing panickers from sync module [#2551](https://github.com/paritytech/parity/pull/2551)
- Address images (tokens, dapps) as registered via contentHash (when available) [#2526](https://github.com/paritytech/parity/pull/2526)
- TokenReg set & get images working [#2540](https://github.com/paritytech/parity/pull/2540)
- adjust app_id where /api/content/<hash> is called, fixes #2541 [#2543](https://github.com/paritytech/parity/pull/2543)
- connection dialog now shows up in dapps as well, closes #2538 [#2550](https://github.com/paritytech/parity/pull/2550)
- display account uuid (where available), closes #2546 [#2549](https://github.com/paritytech/parity/pull/2549)
- create accounts via recovery phrase [#2545](https://github.com/paritytech/parity/pull/2545)
- Build ethcore/js-precompiled on GitLab [#2522](https://github.com/paritytech/parity/pull/2522)
- Return errors from eth_call RPC [#2498](https://github.com/paritytech/parity/pull/2498)
- registry dapp: manage records [#2323](https://github.com/paritytech/parity/pull/2323)
- Print backtrace on panic [#2535](https://github.com/paritytech/parity/pull/2535)
- GitHubHint dapp [#2531](https://github.com/paritytech/parity/pull/2531)
- Backports to master [#2530](https://github.com/paritytech/parity/pull/2530)
- Handle reorganizations in the state cache [#2490](https://github.com/paritytech/parity/pull/2490)
- Hypervisor: terminate hanging modules [#2513](https://github.com/paritytech/parity/pull/2513)
- signer & node connection prompts/indicators [#2504](https://github.com/paritytech/parity/pull/2504)
- Using pending block only if is not old [#2514](https://github.com/paritytech/parity/pull/2514)
- More caching optimizations [#2505](https://github.com/paritytech/parity/pull/2505)
- Fixed possible panic in the networking [#2495](https://github.com/paritytech/parity/pull/2495)
- Trim password from file [#2503](https://github.com/paritytech/parity/pull/2503)
- Fixing RPC Filter conversion to EthFilter [#2500](https://github.com/paritytech/parity/pull/2500)
- Fixing error message for transactions [#2496](https://github.com/paritytech/parity/pull/2496)
- Adjustable stack size for EVM [#2483](https://github.com/paritytech/parity/pull/2483)
- [master] Fixing penalization in future [#2499](https://github.com/paritytech/parity/pull/2499)
- Preserve cache on reverting the snapshot [#2488](https://github.com/paritytech/parity/pull/2488)
- RocksDB version bump [#2492](https://github.com/paritytech/parity/pull/2492)
- Increase default size of transaction queue [#2489](https://github.com/paritytech/parity/pull/2489)
- basiccoin v1 available [#2491](https://github.com/paritytech/parity/pull/2491)
- Small EVM optimization [#2487](https://github.com/paritytech/parity/pull/2487)
- Track dirty accounts in the state [#2461](https://github.com/paritytech/parity/pull/2461)
- fix signature lookup address [#2480](https://github.com/paritytech/parity/pull/2480)
- update registrar test with generic non-empty test [#2476](https://github.com/paritytech/parity/pull/2476)
- Derive IPC interface only when ipc feature is on [#2463](https://github.com/paritytech/parity/pull/2463)
- Fix ethstore opening all key files in the directory at once [#2471](https://github.com/paritytech/parity/pull/2471)
- contract api event log fixes [#2469](https://github.com/paritytech/parity/pull/2469)
- basiccoin base functionality in-place [#2468](https://github.com/paritytech/parity/pull/2468)
- Merge IPC codegen attributes into one [#2460](https://github.com/paritytech/parity/pull/2460)
- Close after importing keys from geth [#2464](https://github.com/paritytech/parity/pull/2464)
- Port a couple more RPC APIs to the new auto args [#2325](https://github.com/paritytech/parity/pull/2325)
- update rustc for appveyor to 1.12.0 [#2423](https://github.com/paritytech/parity/pull/2423)
- dapp basiccoin send operations [#2456](https://github.com/paritytech/parity/pull/2456)
- Better EVM informant & Slow transactions warning [#2436](https://github.com/paritytech/parity/pull/2436)
- Fixing Signer token RPC API [#2437](https://github.com/paritytech/parity/pull/2437)
- Fixed FatDB check [#2443](https://github.com/paritytech/parity/pull/2443)
- dapp basiccoin structure [#2444](https://github.com/paritytech/parity/pull/2444)
- Accounts bloom in master [#2426](https://github.com/paritytech/parity/pull/2426)
- Polishing Actually enable fat db pr (#1974) [#2048](https://github.com/paritytech/parity/pull/2048)
- Jumptable cache [#2427](https://github.com/paritytech/parity/pull/2427)
- signaturereg registered, remove hardcoding [#2431](https://github.com/paritytech/parity/pull/2431)
- tokenreg dapp fixes for non-null returns [#2430](https://github.com/paritytech/parity/pull/2430)
- update ABI json to latest deployed versions [#2428](https://github.com/paritytech/parity/pull/2428)
- update Morden registry address [#2417](https://github.com/paritytech/parity/pull/2417)
- Make migration api more friendly [#2420](https://github.com/paritytech/parity/pull/2420)
- Journaling bloom filter crate in util [#2395](https://github.com/paritytech/parity/pull/2395)
- move abis from js/json to contracts/abi [#2418](https://github.com/paritytech/parity/pull/2418)
- Fixing logs-receipt matching [#2403](https://github.com/paritytech/parity/pull/2403)
- fix broken beta compilation [#2405](https://github.com/paritytech/parity/pull/2405)
- registry dapp: transfer names [#2335](https://github.com/paritytech/parity/pull/2335)
- manage firstRun better [#2398](https://github.com/paritytech/parity/pull/2398)
- render contract deployment address [#2397](https://github.com/paritytech/parity/pull/2397)
- Transaction Queue fix [#2392](https://github.com/paritytech/parity/pull/2392)
- contracts abi types & execute value [#2394](https://github.com/paritytech/parity/pull/2394)
- update styling with ParityBar overlay [#2390](https://github.com/paritytech/parity/pull/2390)
- application Signer popup window [#2388](https://github.com/paritytech/parity/pull/2388)
- Fixing Delegate Call in JIT [#2378](https://github.com/paritytech/parity/pull/2378)
- Prioritizing re-imported transactions [#2372](https://github.com/paritytech/parity/pull/2372)
- Revert #2172, pretty much. [#2387](https://github.com/paritytech/parity/pull/2387)
- correct sync memory usage calculation [#2385](https://github.com/paritytech/parity/pull/2385)
- fix migration system for post-consolidation migrations, better errors [#2334](https://github.com/paritytech/parity/pull/2334)
- Fix the traceAddress field in transaction traces. [#2373](https://github.com/paritytech/parity/pull/2373)
- Gavcoin utilises the popup box [#2381](https://github.com/paritytech/parity/pull/2381)
- registry dapp: support dropping names [#2328](https://github.com/paritytech/parity/pull/2328)
- settings view, set background & store views [#2380](https://github.com/paritytech/parity/pull/2380)
- Removing extras data from retracted blocks. [#2375](https://github.com/paritytech/parity/pull/2375)
- fixed #2263, geth keys with ciphertext shorter than 32 bytes [#2318](https://github.com/paritytech/parity/pull/2318)
- Expanse compatibility [#2369](https://github.com/paritytech/parity/pull/2369)
- Allow queries of constant functions on contracts [#2360](https://github.com/paritytech/parity/pull/2360)
- Auto Open/Close the Signer window on new transaction request [#2362](https://github.com/paritytech/parity/pull/2362)
- Specify column cache sizes explicitly; default fallback of 2MB [#2358](https://github.com/paritytech/parity/pull/2358)
- Canonical state cache (master) [#2311](https://github.com/paritytech/parity/pull/2311)
- method signature lookups, parameter decoding & management [#2313](https://github.com/paritytech/parity/pull/2313)
- make block queue into a more generic verification queue and fix block heap size calculation [#2095](https://github.com/paritytech/parity/pull/2095)
- Hash Content RPC method [#2355](https://github.com/paritytech/parity/pull/2355)
- registry dapp: show reserved events by default [#2359](https://github.com/paritytech/parity/pull/2359)
- Display timestamp in Signer requests details [#2324](https://github.com/paritytech/parity/pull/2324)
- Reorder transaction_by_hash to favour canon search [#2332](https://github.com/paritytech/parity/pull/2332)
- Optimize DIV for some common divisors [#2327](https://github.com/paritytech/parity/pull/2327)
- Return error when deserializing invalid hex [#2339](https://github.com/paritytech/parity/pull/2339)
- Changed http:// to https:// on some links [#2349](https://github.com/paritytech/parity/pull/2349)
- user defaults [#2014](https://github.com/paritytech/parity/pull/2014)
- Fixing jit feature compilation [#2310](https://github.com/paritytech/parity/pull/2310)
- Tx Queue improvements  [#2292](https://github.com/paritytech/parity/pull/2292)
- Removing PropTypes on build [#2322](https://github.com/paritytech/parity/pull/2322)
- Lenient bytes deserialization [#2036](https://github.com/paritytech/parity/pull/2036)
- reverse call data decoding given transaction data & method [#2312](https://github.com/paritytech/parity/pull/2312)
- add missing gpl headers to gavcoin dapp [#2317](https://github.com/paritytech/parity/pull/2317)
- contract Events, Functions & Queries sub-components as well as Event log visual updates [#2306](https://github.com/paritytech/parity/pull/2306)
- webpack config updates (really include babel-polyfill, rename npm steps) [#2305](https://github.com/paritytech/parity/pull/2305)
- remove unneeded Form from Account header [#2302](https://github.com/paritytech/parity/pull/2302)
- edit of metadata across accounts, addresses & contracts [#2300](https://github.com/paritytech/parity/pull/2300)
- Adjust all modals for consistency & css DRY-ness [#2301](https://github.com/paritytech/parity/pull/2301)
- update container spacing [#2296](https://github.com/paritytech/parity/pull/2296)
- local cache of generated background (no allocation on each re-render) [#2298](https://github.com/paritytech/parity/pull/2298)
- fix failing tests [#2290](https://github.com/paritytech/parity/pull/2290)
- Respecting standards for tokenreg dapp [#2287](https://github.com/paritytech/parity/pull/2287)
- Separate RPC serialization from implementation [#2072](https://github.com/paritytech/parity/pull/2072)
- Webpack optimisations - Using DLL [#2264](https://github.com/paritytech/parity/pull/2264)
- header background, theme adjustments (not that harsh) [#2273](https://github.com/paritytech/parity/pull/2273)
- contract view (developer-centric) [#2259](https://github.com/paritytech/parity/pull/2259)
- Add hash as CLI function [#1995](https://github.com/paritytech/parity/pull/1995)
- registry: fix mined events showing as pending [#2267](https://github.com/paritytech/parity/pull/2267)
- Dapp - Tokereg ; Query Tokens from TLA or Address [#2266](https://github.com/paritytech/parity/pull/2266)
- Fixes to the Token Registration dApp [#2250](https://github.com/paritytech/parity/pull/2250)
- remove abi *.json duplication, provide a single version of the truth [#2253](https://github.com/paritytech/parity/pull/2253)
- Separate path for ext code size [#2251](https://github.com/paritytech/parity/pull/2251)
- Snapshot format changes [#2234](https://github.com/paritytech/parity/pull/2234)
- Serving content at /api/content/<hash> [#2248](https://github.com/paritytech/parity/pull/2248)
- Fails when deserializing non-hex uints [#2247](https://github.com/paritytech/parity/pull/2247)
- registry dapp: add GPL headers [#2252](https://github.com/paritytech/parity/pull/2252)
- registry dapp: user-friendly lookup [#2229](https://github.com/paritytech/parity/pull/2229)
- registry dapp: show DataChanged events [#2242](https://github.com/paritytech/parity/pull/2242)
- fixups for deploys [#2249](https://github.com/paritytech/parity/pull/2249)
- Fixing output of eth_call and Bytes deserialization [#2230](https://github.com/paritytech/parity/pull/2230)
- Encryption, decryption and public key RPCs. [#1946](https://github.com/paritytech/parity/pull/1946)
- limit number of event logs returned [#2231](https://github.com/paritytech/parity/pull/2231)
- babel-polyfill [#2239](https://github.com/paritytech/parity/pull/2239)
- procedurally generate background based on signer key [#2233](https://github.com/paritytech/parity/pull/2233)
- UI fixes [#2238](https://github.com/paritytech/parity/pull/2238)
- expose isConnected() from transport [#2225](https://github.com/paritytech/parity/pull/2225)
- registry dapp: rename event log [#2227](https://github.com/paritytech/parity/pull/2227)
- registry dapp: show pending events [#2223](https://github.com/paritytech/parity/pull/2223)
- Handle RLP to string UTF-8 decoding errors [#2217](https://github.com/paritytech/parity/pull/2217)
- Use WebSocket transport for all built-in calls [#2216](https://github.com/paritytech/parity/pull/2216)
- Remove panickers from trie iterators [#2209](https://github.com/paritytech/parity/pull/2209)
- Limit for logs filter. [#2180](https://github.com/paritytech/parity/pull/2180)
- Various state copy optimizations [#2172](https://github.com/paritytech/parity/pull/2172)
- New signer token RPC & Initial signer connection without token. [#2096](https://github.com/paritytech/parity/pull/2096)
- signer ui fixes [#2219](https://github.com/paritytech/parity/pull/2219)
- contract deploy ui [#2212](https://github.com/paritytech/parity/pull/2212)
- registry dapp: fix propTypes [#2218](https://github.com/paritytech/parity/pull/2218)
- registry: fix IdentityIcon in events log [#2206](https://github.com/paritytech/parity/pull/2206)
- Fixing evm-debug [#2161](https://github.com/paritytech/parity/pull/2161)
- Fix syncing with pv63 peers [#2204](https://github.com/paritytech/parity/pull/2204)
- registry: show shortened hashes [#2205](https://github.com/paritytech/parity/pull/2205)
- registry dapp: remove owner [#2203](https://github.com/paritytech/parity/pull/2203)
- webpack proxy updates for /api* [#2175](https://github.com/paritytech/parity/pull/2175)
- simplify personal event publishing, fix delete refresh issues [#2183](https://github.com/paritytech/parity/pull/2183)
- fix global & initial states [#2160](https://github.com/paritytech/parity/pull/2160)
- Allow selection & saving of available views [#2131](https://github.com/paritytech/parity/pull/2131)
- global/contract events with promisy subscribe/unsubscribe [#2136](https://github.com/paritytech/parity/pull/2136)
- Token Registry dApp [#2178](https://github.com/paritytech/parity/pull/2178)
- re-usable bytesToHex exposed in api.util [#2174](https://github.com/paritytech/parity/pull/2174)
- Webpack optimisations [#2179](https://github.com/paritytech/parity/pull/2179)
- cleanup on contract event subscriptions [#2104](https://github.com/paritytech/parity/pull/2104)
- move utility functions to api.util [#2105](https://github.com/paritytech/parity/pull/2105)
- registry dapp [#2077](https://github.com/paritytech/parity/pull/2077)
- mui/FlatButton to ui/Button [#2129](https://github.com/paritytech/parity/pull/2129)
- address delete functionality [#2128](https://github.com/paritytech/parity/pull/2128)
- contract deployment updates [#2106](https://github.com/paritytech/parity/pull/2106)
- contract events, indexed string fix [#2108](https://github.com/paritytech/parity/pull/2108)
- Bumping jsonrpc-core & jsonrpc-http-server [#2162](https://github.com/paritytech/parity/pull/2162)
- gitlab testing & build processes [#2090](https://github.com/paritytech/parity/pull/2090)
- Misc small UI fixes (recently broken) [#2101](https://github.com/paritytech/parity/pull/2101)
- Bump clippy & Fix warnings [#2109](https://github.com/paritytech/parity/pull/2109)
- Import command summary [#2102](https://github.com/paritytech/parity/pull/2102)
- check for existence of deprecated ethash file before attempting delete [#2103](https://github.com/paritytech/parity/pull/2103)
- shapeshift Promise API library [#2088](https://github.com/paritytech/parity/pull/2088)
- fund account via ShapeShift [#2099](https://github.com/paritytech/parity/pull/2099)
- Get bigint on crates.io [#2078](https://github.com/paritytech/parity/pull/2078)
- Enable sealing if Engine provides internal sealing given author [#2084](https://github.com/paritytech/parity/pull/2084)
- Config files [#2070](https://github.com/paritytech/parity/pull/2070)
- re-add lodash plugin to babel config [#2092](https://github.com/paritytech/parity/pull/2092)
- Remove old cache data [#2081](https://github.com/paritytech/parity/pull/2081)
- Logs limit & log_index bug [#2073](https://github.com/paritytech/parity/pull/2073)
- flatten store, muiTheme & api providers [#2087](https://github.com/paritytech/parity/pull/2087)
- add babel es2016 & es2017 presets [#2083](https://github.com/paritytech/parity/pull/2083)
- remove all '<name>/index' imports in API [#2089](https://github.com/paritytech/parity/pull/2089)
- add missing GPL headers to all files [#2086](https://github.com/paritytech/parity/pull/2086)
- readme cleanups [#2085](https://github.com/paritytech/parity/pull/2085)
- gavcoin global import of parity api  [#2082](https://github.com/paritytech/parity/pull/2082)
- Fixing removal from gas price when moving future->current [#2076](https://github.com/paritytech/parity/pull/2076)
- Split internal sealing from work preparation [#2071](https://github.com/paritytech/parity/pull/2071)
- ensure the target folder doesn't exist before renaming [#2074](https://github.com/paritytech/parity/pull/2074)
- Get rid of 'Dapp is being downloaded' page [#2055](https://github.com/paritytech/parity/pull/2055)
- fix failing master build: update tests to new init_restore signature. [#2069](https://github.com/paritytech/parity/pull/2069)
- Local snapshot restore [#2058](https://github.com/paritytech/parity/pull/2058)
- import: keep informant going until finished [#2065](https://github.com/paritytech/parity/pull/2065)
- Add a few tests for the snapshot service [#2059](https://github.com/paritytech/parity/pull/2059)
- IPC tweaks [#2046](https://github.com/paritytech/parity/pull/2046)
- Update arm* Docker [#2064](https://github.com/paritytech/parity/pull/2064)
- Fetching any content-addressed content [#2050](https://github.com/paritytech/parity/pull/2050)
- Use proper database configuration in snapshots. [#2052](https://github.com/paritytech/parity/pull/2052)
- periodic snapshot tweaks [#2054](https://github.com/paritytech/parity/pull/2054)
- ethkey-cli [#2057](https://github.com/paritytech/parity/pull/2057)
- Forward ethstore-cli feature [#2056](https://github.com/paritytech/parity/pull/2056)
- handling invalid spec jsons properly, additional tests, closes #1840 [#2049](https://github.com/paritytech/parity/pull/2049)
- Periodic snapshots [#2044](https://github.com/paritytech/parity/pull/2044)
- Snapshot sync [#2047](https://github.com/paritytech/parity/pull/2047)
- Nice error pages for Dapps & Signer [#2033](https://github.com/paritytech/parity/pull/2033)
- Add a few small snapshot tests [#2038](https://github.com/paritytech/parity/pull/2038)
- facelift for traces, added errors [#2042](https://github.com/paritytech/parity/pull/2042)
- Fetching content from HTTPS using `rustls` [#2024](https://github.com/paritytech/parity/pull/2024)
- Skipping log when there are no transactions were sent [#2045](https://github.com/paritytech/parity/pull/2045)
- rlp as separate crate [#2034](https://github.com/paritytech/parity/pull/2034)
- Fixing uint serialization [#2037](https://github.com/paritytech/parity/pull/2037)
- Fixing new transactions propagation [#2039](https://github.com/paritytech/parity/pull/2039)
- Propagating transactions to peers on timer. [#2035](https://github.com/paritytech/parity/pull/2035)
- Remove Populatable and BytesConvertable traits [#2019](https://github.com/paritytech/parity/pull/2019)
- fixed #1933 [#1979](https://github.com/paritytech/parity/pull/1979)
- Synchronization tweaks for IPC services [#2028](https://github.com/paritytech/parity/pull/2028)
- Asynchronous RPC support [#2017](https://github.com/paritytech/parity/pull/2017)
- Disable ArchiveDB counter check [#2016](https://github.com/paritytech/parity/pull/2016)
- always process trie death row on commit, add more tracing [#2025](https://github.com/paritytech/parity/pull/2025)
- fixed transaction addresses mapping, fixes #1971 [#2026](https://github.com/paritytech/parity/pull/2026)
- Adding tests for dapps server. [#2021](https://github.com/paritytech/parity/pull/2021)
- builtin trait refactoring [#2018](https://github.com/paritytech/parity/pull/2018)
- Start parity with systemd [#1967](https://github.com/paritytech/parity/pull/1967)
- Control service for IPC [#2013](https://github.com/paritytech/parity/pull/2013)
- LRU cache for dapps [#2006](https://github.com/paritytech/parity/pull/2006)
- CLI for valid hosts for dapps server [#2005](https://github.com/paritytech/parity/pull/2005)
- Make the block header struct's internals private [#2000](https://github.com/paritytech/parity/pull/2000)
- Take control of recovered snapshots, start restoration asynchronously [#2010](https://github.com/paritytech/parity/pull/2010)
- remove internal locking from DBTransaction [#2003](https://github.com/paritytech/parity/pull/2003)
- Snapshot optimizations [#1991](https://github.com/paritytech/parity/pull/1991)
- Revert removing ecies [#2009](https://github.com/paritytech/parity/pull/2009)
- small blooms optimization [#1998](https://github.com/paritytech/parity/pull/1998)
- protection from adding empty traces && assertion in traces db [#1994](https://github.com/paritytech/parity/pull/1994)
- Stratum IPC service [#1959](https://github.com/paritytech/parity/pull/1959)
- Signature cleanup [#1921](https://github.com/paritytech/parity/pull/1921)
- Fixed discovery skipping some nodes [#1996](https://github.com/paritytech/parity/pull/1996)
- Trie query recording and AccountDB factory for no mangling [#1944](https://github.com/paritytech/parity/pull/1944)
- Validating sha3 of a dapp bundle [#1993](https://github.com/paritytech/parity/pull/1993)
- Improve eth_getWork timeout test rpc_get_work_should_timeout [#1992](https://github.com/paritytech/parity/pull/1992)
- Resolving URLs from contract [#1964](https://github.com/paritytech/parity/pull/1964)
- Add timeout for eth_getWork call [#1975](https://github.com/paritytech/parity/pull/1975)
- CLI for Signer interface [#1980](https://github.com/paritytech/parity/pull/1980)
- IPC timeout multiplied [#1990](https://github.com/paritytech/parity/pull/1990)
- Use relative path for IPC sockets [#1983](https://github.com/paritytech/parity/pull/1983)
- Market-orientated transaction pricing [#1963](https://github.com/paritytech/parity/pull/1963)
- Bump clippy [#1982](https://github.com/paritytech/parity/pull/1982)
- Fixing mutual recursive types serialization [#1977](https://github.com/paritytech/parity/pull/1977)
- Fix open on FreeBSD [#1984](https://github.com/paritytech/parity/pull/1984)
- Upgrade hyper dependency to 0.9 [#1973](https://github.com/paritytech/parity/pull/1973)
- Create network-specific nodes files [#1970](https://github.com/paritytech/parity/pull/1970)
- Getting rid of syntex [#1965](https://github.com/paritytech/parity/pull/1965)
- Remove binary specification from hypervisor [#1960](https://github.com/paritytech/parity/pull/1960)
- Stratum protocol general [#1954](https://github.com/paritytech/parity/pull/1954)
- keep track of first block in blockchain [#1937](https://github.com/paritytech/parity/pull/1937)
- introduce ethcore/state module [#1953](https://github.com/paritytech/parity/pull/1953)
- Apply settings to column families [#1956](https://github.com/paritytech/parity/pull/1956)
- move column family constants into db module [#1955](https://github.com/paritytech/parity/pull/1955)
- ECIES without MAC [#1948](https://github.com/paritytech/parity/pull/1948)
- Fix canny warnings [#1951](https://github.com/paritytech/parity/pull/1951)
- Fetchable dapps [#1949](https://github.com/paritytech/parity/pull/1949)
- remove impossible panickers related to infallible db transaction [#1947](https://github.com/paritytech/parity/pull/1947)
- Minor optimizations [#1943](https://github.com/paritytech/parity/pull/1943)
- remove randomness from bigint benches, fix warnings [#1945](https://github.com/paritytech/parity/pull/1945)
- Fix several RPCs [#1926](https://github.com/paritytech/parity/pull/1926)
- Bump clippy, fix warnings [#1939](https://github.com/paritytech/parity/pull/1939)
- DB WAL size limit [#1935](https://github.com/paritytech/parity/pull/1935)
- Use explicit global namespaces in codegen [#1928](https://github.com/paritytech/parity/pull/1928)
- Fix build on master [#1934](https://github.com/paritytech/parity/pull/1934)
- IPC on by default [#1927](https://github.com/paritytech/parity/pull/1927)
- fix util benches compilation [#1931](https://github.com/paritytech/parity/pull/1931)
- Update gitlab-ci [#1929](https://github.com/paritytech/parity/pull/1929)
- ethkey and ethstore use hash structures from bigint [#1851](https://github.com/paritytech/parity/pull/1851)
